[//]: # \mainpage
This is the code for assignment 10 for the scientific computing course
PHY1610H given in the Winter of 2021.

It performs a simulation of ants walking on a ruler.  The ruler is
subdivided into a linear grid. A number of ants is initially put on the
ruler, divided as evenly as possible over the squares.  Ants can move
to a neighbouring grid point or stay put at every time step.  How many of
a square's ants move in each of the 3 different directions is random
(using the C++ random library).  Ants can fall of the edges of the
ruler. The program prints the number of ants left on the ruler after
every time step, as well as the minimum number of ants on any grid point
and the maximum. It also produces a binary file with the number of ants
on each square for every so many time steps.

This code comes with a Makefiles to help compile, generate
documentation, run and plot results.

On the Teach cluster, compile the app with:

```sh
   source teachsetup
   make antsonruler
```

To also denerate html and pdf versions of the code documentation using Doxygen, use

```sh
   make doc
```

Type 'make help' to see other usages of the Makefiles.

Ramses van Zon, SciNet, University of Toronto
2019-2021
